# azure.mgmt.authorization.operations module

class `azure.mgmt.authorization.operations.``ClassicAdministratorsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ClassicAdministratorsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An objec model deserializer.

  `list`(api_version, custom_headers=None, raw=False, **operation_config)

    Gets a list of classic administrators for the subscription.

    Parameters:

    - api_version (str) –
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `ClassicAdministratorPaged`

class `azure.mgmt.authorization.operations.``PermissionsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  PermissionsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An objec model deserializer.

  `list_for_resource`(resource_group_name, resource_provider_namespace, parent_resource_path, resource_type, resource_name, custom_headers=None, raw=False, **operation_config)

    Gets a resource permissions.

    Parameters:

    - resource_group_name (str) – The name of the resource group. The name is case insensitive.
    - resource_provider_namespace (str) – Resource
    - parent_resource_path (str) – Resource
    - resource_type (str) – Resource
    - resource_name (str) – Resource
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `PermissionPaged`

  `list_for_resource_group`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    Gets a resource group permissions.

    Parameters:

    - resource_group_name (str) – Name of the resource group to get the permissions for.The name is case insensitive.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `PermissionPaged`

class `azure.mgmt.authorization.operations.``ProviderOperationsMetadataOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ProviderOperationsMetadataOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An objec model deserializer.

  `get`(resource_provider_namespace, api_version, expand='resourceTypes', custom_headers=None, raw=False, **operation_config)

    Gets provider operations metadata

    Parameters:

    - resource_provider_namespace (str) – Namespace of the resource provider.
    - api_version (str) –
    - expand (str) –
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `ProviderOperationsMetadata`
    Return type: | `ClientRawResponse` if raw=true

  `list`(api_version, expand='resourceTypes', custom_headers=None, raw=False, **operation_config)

    Gets provider operations metadata list

    Parameters:

    - api_version (str) –
    - expand (str) –
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `ProviderOperationsMetadataPaged`

class `azure.mgmt.authorization.operations.``RoleAssignmentsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  RoleAssignmentsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An objec model deserializer.

  `create`(scope, role_assignment_name, properties=None, custom_headers=None, raw=False, **operation_config)

    Create role assignment.

    Parameters:

    - scope (str) – Scope.
    - role_assignment_name (str) – Role assignment name.
    - properties (`RoleAssignmentProperties`) – Gets or sets role assignment properties.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `RoleAssignment`
    Return type: | `ClientRawResponse` if raw=true

  `create_by_id`(role_assignment_id, properties=None, custom_headers=None, raw=False, **operation_config)

    Create role assignment by Id.

    Parameters:

    - role_assignment_id (str) – Role assignment Id
    - properties (`RoleAssignmentProperties`) – Gets or sets role assignment properties.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `RoleAssignment`
    Return type: | `ClientRawResponse` if raw=true

  `delete`(scope, role_assignment_name, custom_headers=None, raw=False, **operation_config)

    Delete role assignment.

    Parameters:

    - scope (str) – Scope.
    - role_assignment_name (str) – Role assignment name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `RoleAssignment`
    Return type: | `ClientRawResponse` if raw=true

  `delete_by_id`(role_assignment_id, custom_headers=None, raw=False, **operation_config)

    Delete role assignment.

    Parameters:

    - role_assignment_id (str) – Role assignment Id
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `RoleAssignment`
    Return type: | `ClientRawResponse` if raw=true

  `get`(scope, role_assignment_name, custom_headers=None, raw=False, **operation_config)

    Get single role assignment.

    Parameters:

    - scope (str) – Scope.
    - role_assignment_name (str) – Role assignment name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `RoleAssignment`
    Return type: | `ClientRawResponse` if raw=true

  `get_by_id`(role_assignment_id, custom_headers=None, raw=False, **operation_config)

    Get single role assignment.

    Parameters:

    - role_assignment_id (str) – Role assignment Id
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `RoleAssignment`
    Return type: | `ClientRawResponse` if raw=true

  `list`(filter=None, custom_headers=None, raw=False, **operation_config)

    Gets role assignments of the subscription.

    Parameters:

    - filter (str) – The filter to apply on the operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `RoleAssignmentPaged`

  `list_for_resource`(resource_group_name, resource_provider_namespace, parent_resource_path, resource_type, resource_name, filter=None, custom_headers=None, raw=False, **operation_config)

    Gets role assignments of the resource.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - resource_provider_namespace (str) – Resource identity.
    - parent_resource_path (str) – Resource identity.
    - resource_type (str) – Resource identity.
    - resource_name (str) – Resource identity.
    - filter (str) – The filter to apply on the operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `RoleAssignmentPaged`

  `list_for_resource_group`(resource_group_name, filter=None, custom_headers=None, raw=False, **operation_config)

    Gets role assignments of the resource group.

    Parameters:

    - resource_group_name (str) – Resource group name.
    - filter (str) – The filter to apply on the operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `RoleAssignmentPaged`

  `list_for_scope`(scope, filter=None, custom_headers=None, raw=False, **operation_config)

    Gets role assignments of the scope.

    Parameters:

    - scope (str) – Scope.
    - filter (str) – The filter to apply on the operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `RoleAssignmentPaged`

class `azure.mgmt.authorization.operations.``RoleDefinitionsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  RoleDefinitionsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An objec model deserializer.

  `create_or_update`(scope, role_definition_id, role_definition, custom_headers=None, raw=False, **operation_config)

    Creates or updates a role definition.

    Parameters:

    - scope (str) – Scope
    - role_definition_id (str) – Role definition id.
    - role_definition (`RoleDefinition`) – Role definition.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `RoleDefinition`
    Return type: | `ClientRawResponse` if raw=true

  `delete`(scope, role_definition_id, custom_headers=None, raw=False, **operation_config)

    Deletes the role definition.

    Parameters:

    - scope (str) – Scope
    - role_definition_id (str) – Role definition id.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `RoleDefinition`
    Return type: | `ClientRawResponse` if raw=true

  `get`(scope, role_definition_id, custom_headers=None, raw=False, **operation_config)

    Get role definition by name (GUID).

    Parameters:

    - scope (str) – Scope
    - role_definition_id (str) – Role definition Id
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `RoleDefinition`
    Return type: | `ClientRawResponse` if raw=true

  `get_by_id`(role_definition_id, custom_headers=None, raw=False, **operation_config)

    Get role definition by name (GUID).

    Parameters:

    - role_definition_id (str) – Fully qualified role definition Id
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `RoleDefinition`
    Return type: | `ClientRawResponse` if raw=true

  `list`(scope, filter=None, custom_headers=None, raw=False, **operation_config)

    Get all role definitions that are applicable at scope and above. Use atScopeAndBelow filter to search below the given scope as well

    Parameters:

    - scope (str) – Scope
    - filter (str) – The filter to apply on the operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `RoleDefinitionPaged`